---
kind: Secret
apiVersion: v1
metadata:
  name: admin-secret
data:
  admin_password: MTIzNDU2Nzg5MA==
type: Opaque
---
apiVersion: capabilities.3scale.net/v1alpha1
kind: Tenant
metadata:
  name: new-tenant
spec:
  organizationName: new-org
  email: neworguser@example.com
  username: admin
  systemMasterUrl: 'https://{master-admin-portal-domain}'
  masterCredentialsRef:
    name: system-seed
  passwordCredentialsRef:
    name: admin-secret
  tenantSecretRef:
    name: tennant-secret
---
apiVersion: capabilities.3scale.net/v1beta1
kind: Backend
metadata:
  name: backend-api
spec:
  name: backend-api
  systemName: backend-api
  description: Backend of demo-api
  privateBaseURL: >-
    https://echo-api.3scale.net:443
  providerAccountRef:
    name: tennant-secret
    namespace: 3scaleapim
  metrics:
    hits:
      description: Number of API hits
      friendlyName: Hits
      unit: hit